Login
Newsletter
Werbung

Sicherheit: Überschreiben von Dateien in webkit
Aktuelle Meldungen Distributionen
Name: Überschreiben von Dateien in webkit
ID: SUSE-SU-2011:0857-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Desktop 11 SP1, SUSE Linux Enterprise Software Development Kit 11 SP1
Datum: Di, 2. August 2011, 09:04
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-1774
Applikationen: WebKit

Originalnachricht

   SUSE Security Update: Security update for libwebkit
______________________________________________________________________________

Announcement ID: SUSE-SU-2011:0857-1
Rating: important
References: #688691 #692619
Cross-References: CVE-2011-1774
Affected Products:
SUSE Linux Enterprise Software Development Kit 11 SP1
SUSE Linux Enterprise Desktop 11 SP1
______________________________________________________________________________

An update that solves one vulnerability and has one errata
is now available. It includes one version update.

Description:


This update of libwebkit fixes:

* CVE-2011-1774: XSLT file creation allowed webpages
evaluating XSLT code to create files.
* ZDI-11-139 Webkit Anonymous Frame remote code exec

Security Issue reference:

* CVE-2011-1774
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-1774
>

Indications:

Please install this update.

Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 11 SP1:

zypper in -t patch sdksp1-libwebkit-4917

- SUSE Linux Enterprise Desktop 11 SP1:

zypper in -t patch sledsp1-libwebkit-4917

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Software Development Kit 11 SP1 (i586 ia64 ppc64
s390x x86_64) [New Version: 1.2.7]:

libwebkit-1_0-2-1.2.7-0.13.1
libwebkit-devel-1.2.7-0.13.1
libwebkit-lang-1.2.7-0.13.1

- SUSE Linux Enterprise Desktop 11 SP1 (i586 x86_64) [New Version: 1.2.7]:

libwebkit-1_0-2-1.2.7-0.13.1
libwebkit-lang-1.2.7-0.13.1


References:

http://support.novell.com/security/cve/CVE-2011-1774.html
https://bugzilla.novell.com/688691
https://bugzilla.novell.com/692619
?keywords=cc49e810ad5a4f8185db4ef24ceb9ebf

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung